[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Help getting started



I just installed OpenBSD 3.0, and I'm trying to set it up as a web server. I installed mysql and PHP 4.06 (from packages). I want to patch or upgrade PHP to avoid the vulnerabilities that were just publicized, but I don't know how. Basically, I'm looking for hand-holding or a HOW-TO for upgrading/patching things installed from ports or packages. Do I have to scrap the installed version to upgrade? If I download the source and make it, is that all I have to do (ie does everything end up in the right place, etc)? Also, how do I check the version of installed programs (like Apache or OpenSSH)? Any general help would be really appreciated, too.

Thanks,
Steve